Bug 45854 - ODF database mime-type confusion
Summary: ODF database mime-type confusion
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL: http://lists.oasis-open.org/archives/...
Whiteboard: odf
Keywords:
Depends on:
Blocks: ODF-spec
  Show dependency treegraph
 
Reported: 2012-02-09 13:10 UTC by Michael Stahl (allotropia)
Modified: 2021-07-09 04:02 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (allotropia) 2012-02-09 13:10:30 UTC
the ODF 1.2 CS01 Part 1 specification is consistent on the mime type of database documents:

2.2.10 OpenDocument Database Front End Document

> A) The <office:document> element shall have an office:mimetype attribute with the value "application/vnd.oasis.opendocument.base". 
> B) If the document is an OpenDocument package then it shall contain a file named mimetype containing the string " application/vnd.oasis.opendocument.base". 

Appendix C.  MIME Types and File Name Extensions (Non Normative)

> application/vnd.oasis.opendocument.base
> odb
> Database front end document

unfortunately the mime type registered at IANA is a different one:

http://www.iana.org/assignments/media-types/application/vnd.oasis.opendocument.database

note ".base" versus ".database".

it looks like current implementations based on OpenOffice.org, such as LibreOffice, write the ".base" mime type into files, but register with desktop environments for the ".database" variant.
Comment 1 Michael Stahl (allotropia) 2012-02-09 13:16:57 UTC
report submitted to OASIS office-comment, see URL
Comment 2 paour 2012-11-10 17:25:09 UTC
Question, why database format name is not ODB (like the extension) and
keep odf for formula ?
When we save a Base or a formula, we have the same :
Type : Database ODF (*.odf) for base
Type : Formula ODF (.odf)(*.odf) for formula
It's not clear !
Nicolas
Comment 3 m.nemo 2013-12-14 18:16:44 UTC
Is there any progress on this bug? Like registering "application/vnd.oasis.opendocument.base" at IANA or changing the spec?

Or has anyone contacted Svante Schubert, as he is listed as contact at IANA? 

Can't LibreOffice just register .base (or both) with desktop environments?
(I really don't like by odb-files to be opened as ZIP-files)
Comment 4 Owen Genat (retired) 2014-01-11 01:06:08 UTC
Link to OASIS JIRA issue added to See Also list for convenience.

(In reply to comment #3)
> Is there any progress on this bug? Like registering
> "application/vnd.oasis.opendocument.base" at IANA or changing the spec?

I sincerely hope that ".base" is changed to ".database" for ODF v1.3 (bringing it in-line with the IANA registered value) to keep this mime type implementation neutral, as well as of a similar nature to the other entries i.e., ".text" instead of ".writer".
Comment 5 Alex Thurgood 2015-01-03 17:39:56 UTC Comment hidden (no-value)
Comment 6 QA Administrators 2016-01-17 20:01:52 UTC Comment hidden (obsolete)
Comment 7 Michael Stahl (allotropia) 2016-01-18 12:49:23 UTC
still relevant for tracking the OASIS bug which is not resolved yet
Comment 8 QA Administrators 2017-03-06 13:45:40 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2017-07-13 12:18:02 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 10 QA Administrators 2019-07-09 02:44:24 UTC Comment hidden (obsolete)
Comment 11 Michael Stahl (allotropia) 2019-07-09 09:55:36 UTC
the OASIS bug might have been resolved but the minutes are somewhat mysterious but if i'm right in remembering what the resolution was it still needs some emails OASIS to IANA
Comment 12 QA Administrators 2021-07-09 04:02:28 UTC
Dear Michael Stahl (CIB),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug